import { FixHandlerResultByPlugin } from '../../plugins/types';
import { EntityToFix, ErrorsByEcoSystem, FixOptions, TestResult } from '../../types';
export declare const PADDING_SPACE = "  ";
export declare function showResultsSummary(nothingToFix: EntityToFix[], resultsByPlugin: FixHandlerResultByPlugin, exceptions: ErrorsByEcoSystem, options: FixOptions, total: number): Promise<string>;
export declare function generateSuccessfulFixesSummary(resultsByPlugin: FixHandlerResultByPlugin): string;
export declare function generateUnresolvedSummary(resultsByPlugin: FixHandlerResultByPlugin, exceptionsByScanType: ErrorsByEcoSystem): {
    summary: string;
    count: number;
};
export declare function generateOverallSummary(resultsByPlugin: FixHandlerResultByPlugin, exceptions: ErrorsByEcoSystem, nothingToFix: EntityToFix[], options: FixOptions): {
    summary: string;
    count: number;
};
export declare function calculateFixed(resultsByPlugin: FixHandlerResultByPlugin): number;
export declare function calculateFixedIssues(resultsByPlugin: FixHandlerResultByPlugin): number;
export declare function calculateFailed(resultsByPlugin: FixHandlerResultByPlugin, exceptions: ErrorsByEcoSystem): number;
export declare function formatIssueCountBySeverity({ critical, high, medium, low, }: {
    [severity: string]: number;
}): string;
export declare const severitiesColourMapping: {
    [severity: string]: {
        colorFunc: (arg: string) => string;
    };
};
export declare const defaultSeverityColor: {
    colorFunc(text: any): string;
};
export declare function getSeveritiesColour(severity: string): {
    colorFunc: (arg: string) => string;
};
export declare function generateIssueSummary(resultsByPlugin: FixHandlerResultByPlugin, exceptions: ErrorsByEcoSystem): string;
export declare function getTestResults(resultsByPlugin: FixHandlerResultByPlugin, exceptionsByScanType: ErrorsByEcoSystem): TestResult[];
