import { EntityToFix, FixOptions, WithError, WithAttemptedFixChanges, WithUserMessage } from '../types';
export declare type FixHandler = (entities: EntityToFix[], options: FixOptions) => Promise<FixHandlerResultByPlugin>;
export declare type FailedToFix = WithAttemptedFixChanges<EntityToFix> | WithError<EntityToFix>;
export declare function isWithError(r: FailedToFix): r is WithError<EntityToFix>;
export interface PluginFixResponse {
    succeeded: Array<WithAttemptedFixChanges<EntityToFix>>;
    failed: FailedToFix[];
    skipped: Array<WithUserMessage<EntityToFix>>;
}
export interface FixHandlerResultByPlugin {
    [pluginId: string]: PluginFixResponse;
}
export interface FixedCache {
    [filePath: string]: {
        fixedIn: string;
        issueIds: string[];
    };
}
